Subject: Returned mail: User unknown
From: [email-masked] (Mail Delivery Subsystem)

22 Jun 1997 12:47:52 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: <[email-masked]>
Original-Sender: [email-masked]

The original message was received at Sun, 22 Jun 1997 14:08:59 -0400
from giraffe.sci.ccny.cuny.edu [134.74.120.15]

   ----- The following addresses had delivery problems -----
<[email-masked]>  (unrecoverable error)

   ----- Transcript of session follows -----
.... while talking to mailhost.cygnus.com.:
>>> RCPT To:<[email-masked]>
<<< 550 <[email-masked]>... User unknown
550 <[email-masked]>... User unknown

   ----- Original message follows -----
From: rgr@rio (Roger Kuhlman)
Subject: Re: bibliotheques
To: [email-masked]
Date: Sun, 22 Jun 1997 14:08:58 -0400 (EDT)
content-length: 1266

Greetings:

	I have the same problem as Bernice.  I am porting
a C++ program that passes an istream reference to a class
function(supposedly the Draft says that this is a valid way
to set the input stream to a valid state). 
snip---
istream &operator>>(
  istream      &stream,
  vector_char  &vec
)
{
  long  i;
  char  x;

  vec.set_length(0);

  // Find the first non-whitespace character.

  for (;;) {
    if ( !stream.get(x) ) return NULL;
    if ( !isspace(x) ) break;
  }
--snip
I get the error that the ios reference cunstructor is private ...
I built a cross compiler for b17.1 to get the cplus1 parser,
and am using it with a linux cross for b18, as someone mentioned
in the newsgroup that that was the best way to get 2.7.2.1 syntax
acceptance. 
This code compiles under linux, SunOs4.1.3_U1, Solaris2.5, and AIX
using the 2.7.2.1 compiler.
	Any one have any suggestions? The reason that we chose
G++ for our project 4 yrs ago, was its syntactic seamlesness across
platforms.  I did extensive testing at the time before we accepted
G++ rather than cfront, which varied somewhat platform to platform.

	In advance,thanks.  This Cygwin project is superb--
things have come a long way from b14.  
	Regards,
	Roger Kuhlman
	e-mail: [email-masked]

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".